Data - Retrieve SLO Data
检索提供的 SLO 请求的 SLO 数据
POST http://<Servername>/OperationsManager/data/slo
请求正文
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| 名称 | 必需 | 类型 | 说明 |
|---|---|---|---|
| duration | True |
string |
持续时间 |
| slaId | True |
string |
SLA 编号 |
| slaManagedEntityRowId | True |
integer |
SLA 托管实体行 ID |
| sloId | True |
string |
SLO 编号 |
| value | True |
integer |
价值 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。已成功检索 SLO 数据。 Media Types: "application/json", "text/json", "application/xml", "text/xml" |
示例
RetrieveSLOData
示例请求
POST http://<Servername>/OperationsManager/data/slo
{
"sloId": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"slaId": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"value": 0,
"duration": "10",
"slaManagedEntityRowId": 141
}
示例响应
{
"id": null,
"goal": 0,
"desiredObjective": null,
"actualValue": 0
}
定义
| 名称 | 说明 |
|---|---|
|
SLOData |
|
|
SLOData |
SLODataRequest
| 名称 | 类型 | 说明 |
|---|---|---|
| duration |
string |
持续时间 |
| slaId |
string |
SLA 编号 |
| slaManagedEntityRowId |
integer |
SLA 托管实体行 ID |
| sloId |
string |
SLO 编号 |
| value |
integer |
价值 |
SLODataResponse
| 名称 | 类型 | 说明 |
|---|---|---|
| actualValue |
number |
实际值 |
| desiredObjective |
string |
期望目标 |
| goal |
number |
SLO 目标 |
| id |
string |
SLO 编号 |